:root {
    --blue-accent: #6500FF;
    --light-blue: #00D7FF;
}

* {
    margin: 0;
    padding: 0;
    border: none;
    color: #fff;
    text-decoration: none;
}

body,html {
    background: #141414;
    font-family: monospace;
    display: flex;
    justify-content: center;
    width: 100%;
}

b {
    padding: 2px 4px;
    background: var(--blue-accent);
}

/* ---------- header ----------- */

header {
    z-index: 999;
    position: fixed;
    top: 80px;
    width: 100%;
    max-width: 1000px;
    padding: 0 20px;
}

header nav {
    display: flex;
    gap: 40px;
}

header nav a {
    background-color: #000;
    padding: 5px 5px;
}

header nav a:hover {
    color: var(--light-blue);
}

main {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

/* ---------- hero --------- */

.hero {
    width: 100%;
    height: 100vh;
    max-width: 1000px;
    display: flex;  
    flex-direction: column;
    gap: 100px;
    z-index: 1;
    padding: 160px 20px 20px 20px;
}

.hero::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-image: url("../media/banner-w.png");
    background-repeat: no-repeat;
    z-index: -1;
}

.hero h1 {
    padding-bottom: 20px;
}
.hero h1 span::before{
    content: "<";
}
.hero h1 span::after{
    content: "/>";
}

.bottom {
    display: flex;
    justify-content: space-between;
}

.iam {
    max-width: 450px;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.iam div {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.iam div span {
    min-width: max-content;
    background: var(--light-blue);
    color: #000;
    padding: 2px 4px;
}

.info {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.info ul li {
    margin-bottom: 10px;
}
.info ul li::marker {
    content: "/> ";
    font-weight: bold;
    margin-right: 5px;
}

.scroll {
    margin: 80px 0px 0px 0px;
}

.scroll center a {
    cursor: pointer;
}

/* hobbies & interests */

.passions {
    width: 100%;
    max-width: 1000px;
    display: flex;  
    flex-direction: column;
    align-items: center;
    gap: 40px;
    z-index: 1;
    padding: 120px 20px 20px 20px;
}

.blocks-grid {
    gap: 20px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto;
}

.block {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.block-1 {
    grid-column: 1 / 2;
    grid-row: 1 / 2;
}

.block-2 {
    grid-column: 1 / 2;
    grid-row: 2 / 3;
}

.block-3 {
    grid-column: 2 / 3;
    grid-row: 1 / 3;
}

.block img {
    width: 100%;
}

.block-top {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.bottom-block {
    display: flex;
    flex-direction: column;
    gap: 5px;
    align-items: center;
}

/* ---------RANDOOOOOOOOOMM --------------------------------- */

.random-stuff {
    width: 100%;
    max-width: 1000px;
    display: flex;  
    flex-direction: column;
    gap: 40px;
    z-index: 1;
    padding: 120px 20px 80px 20px;
}

.top {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.content {
    display: flex;
    justify-content: space-between;
}

.data {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.rock {
    display: flex;
    flex-direction: column;
}

.randInt {
    display: flex;
    align-items: center;
    gap: 30px;
}

.randInt div {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.randInt button {
    padding: 15px 40px;
    cursor: pointer;
    font-weight: bold;
    background: var(--light-blue);
    color: #000;
}

.end {
    margin-bottom: 20px;
}

/* ----------- MOBILE -------------- */
